package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.SignStatusEnum;

import io.swagger.annotations.ApiModelProperty;

import org.apache.commons.lang3.builder.ToStringBuilder;

import java.util.Date;

/**
 * 对应数据库表(teacher_attendance):
 */
public class TeacherAttendance {

	/**  */
	private Long id;
	
	/**  */
	@ApiModelProperty(value = "教师编号",required = false)
	private Long teacherId;
	
	/**  */
	@ApiModelProperty(value = "乐团编号",required = false)
	private Long musicGroupId;
	
	/**  */
	@ApiModelProperty(value = "班级编号",required = false)
	private Long classGroupId;
	
	/**  */
	@ApiModelProperty(value = "课程计划编号",required = false)
	private Long courseScheduleId;
	
	/** 签到时间 */
	@ApiModelProperty(value = "签到时间",required = false)
	private java.util.Date signInTime;
	
	/** 状态(正常签到，异常签到) */
	@ApiModelProperty(value = "状态(1正常签到，0异常签到，2正常签退) ",required = false)
	private SignStatusEnum status;
	
	/** 备注 */
	@ApiModelProperty(value = "备注",required = false)
	private String remark;
	
	/**  */
	private java.util.Date createTime;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getTeacherId() {
		return teacherId;
	}

	public void setTeacherId(Long teacherId) {
		this.teacherId = teacherId;
	}

	public Long getMusicGroupId() {
		return musicGroupId;
	}

	public void setMusicGroupId(Long musicGroupId) {
		this.musicGroupId = musicGroupId;
	}

	public Long getClassGroupId() {
		return classGroupId;
	}

	public void setClassGroupId(Long classGroupId) {
		this.classGroupId = classGroupId;
	}

	public Long getCourseScheduleId() {
		return courseScheduleId;
	}

	public void setCourseScheduleId(Long courseScheduleId) {
		this.courseScheduleId = courseScheduleId;
	}

	public Date getSignInTime() {
		return signInTime;
	}

	public void setSignInTime(Date signInTime) {
		this.signInTime = signInTime;
	}

	public SignStatusEnum getStatus() {
		return status;
	}

	public void setStatus(SignStatusEnum status) {
		this.status = status;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
